<?php 
                
function GenerateMenu($sekce) {
$items = array ('domu'  => array('text'=>'Domů',  'url'=>'?sekce=domu'),
                'zasuvky'  => array('text'=>'Mé zásuvky',  'url'=>'?sekce=zasuvky'),
                'nastaveni'  => array('text'=>'Nastavení',  'url'=>'?sekce=nastaveni'),
                'spotreba'  => array('text'=>'Spotřeba',  'url'=>'?sekce=spotreba'),
                'odhlaseni'  => array('text'=>'Odhlášení',  'url'=>'?sekce=odhlaseni')
                );
                
    
    $html = "<nav >\n";
    foreach($items as $key => $item) {
      if($key == 'nastaveni' AND $_SESSION['name'] != 'admin') continue;
      $selected = (isset($sekce)) && $sekce == $key ? 'selected' : null; 
      $html .= "<a href='{$item['url']}' id='{$selected}'>{$item['text']}</a>\n";
    }
    $html .= "</nav>\n";
    return $html;
}

function end_session() {
 	$_SESSION = array();
	session_destroy();
}

function is_logged() {
//var_dump("is_logged");
  if (isset($_SESSION['userID']) && $_SESSION['userID'] != '') {
		return true;
	} else {
		return false;
	}
}

?>